Use range-based for loops more often.
[pulseview.git] / INSTALL
1 -------------------------------------------------------------------------------
2 INSTALL
3 -------------------------------------------------------------------------------
4
5 Requirements
6 ------------
7
8  - git (only needed when building from git)
9  - A C++ compiler with C++11 support (-std=c++11 option), e.g.
10    - g++ (>= 4.7)
11    - clang++ (>= 3.1)
12  - make
13  - libtool (only needed when building from git)
14  - pkg-config >= 0.22
15  - cmake >= 2.8.6
16  - libglib >= 2.28.0
17  - glibmm-2.4 (>= 2.28.0)
18  - Qt4 >= 4.5 or Qt5 (including the following components):
19     - Qt4: QtCore, QtGui, QtSvg
20     - Qt5: Qt5Core, Qt5Gui, Qt5Widgets, Qt5Svg
21  - libboost >= 1.53 (including the following libs):
22     - libboost-system
23     - libboost-filesystem
24     - libboost-thread
25     - libboost-test (optional, only needed to run the unit tests)
26  - libsigrokcxx >= 0.4.0 (libsigrok C++ bindings)
27  - libsigrokdecode >= 0.4.0
28  - libsigrokandroidutils >= 0.1.0 (optional, only needed on Android)
29
30
31 Building and installing
32 -----------------------
33
34 In order to get the PulseView source code and build it, run:
35
36  $ git clone git://sigrok.org/pulseview
37  $ cd pulseview
38  $ cmake .
39  $ make
40
41 For installing PulseView:
42
43  $ make install
44
45 See the following wiki page for more (OS-specific) instructions:
46
47  http://sigrok.org/wiki/Building
48
49
50 Creating a source distribution package
51 --------------------------------------
52
53 In order to build a source package begin with an unconfigured source tree.
54
55  $ mkdir dist
56  $ cd dist
57  $ cmake ..
58  $ make package_source
59